<?php
/*
Template Name: Public Gallery Page
*
* For pages that are assigned as sub pages of the parent page set to one of the sub page gallery views. Displays the full image if set in the custom write panel for a page and a link back to the parent page.
*
*/
?>
<?php get_header(); ?>

	<header>
	<h2><?php edit_post_link('&#9997;','',' '); ?><?php the_title(); ?></h2>
	</header>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div id="post-<?php the_ID(); ?>">
		<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
		<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
	</div>

<?php endwhile; endif; ?>

	<div class="clear"></div>

<?php
$pagelist = get_pages("child_of=".$post->post_parent."&parent=".$post->post_parent."&sort_column=menu_order&sort_order=asc");
$pages = array();
foreach ($pagelist as $page) {
   $pages[] += $page->ID;
}

$current = array_search($post->ID, $pages);
if (isset($pages[$current-1])) $prevID = $pages[$current-1];
if (isset($pages[$current+1])) $nextID = $pages[$current+1];
?>
	
	<ul class="pager">
	<?php if (!empty($prevID)) : ?>
	<li class="previous">
	<a href="<?php echo get_permalink($prevID); ?>"
	title="<?php echo get_the_title($prevID); ?>">Previous</a>
	</li>
	<?php else : ?>
	<li class="previous disabled">
	<a href="#">Previous</a>
	</li>
	<?php endif; ?>
	<?php if (!empty($nextID)) : ?>
	<li class="next">
	<a href="<?php echo get_permalink($nextID); ?>"
	title="<?php echo get_the_title($nextID); ?>">Next</a>
	</li>
	<?php else : ?>
	<li class="next disabled">
	<a href="#">Next</a>
	</li>
	<?php endif; ?>
	</ul>
	
	<div class="commentbox">
	<?php comments_template(); ?>
	</div>

<?php wp_reset_query(); ?>

<?php get_footer(); ?>